.v-datalist-container {
  min-height: 31.25rem;
  height: 75vh;
  width: 100%;
  margin-left: 0.5rem;
  margin-right: 0.5rem;
}

#canvas {
  min-height: 31.25rem;
  height: 75vh;
  width: 100%;
  border: 0.3125rem solid;
  background-image: url('../images/bgm.png');
}

.rectangle {
  border: 1px solid #FF0000;
  position: absolute;
  opacity: 0.5;
}

.toolbar-item-list {
  overflow-y: auto;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-content: start;
  justify-content: space-between;
  padding: 0.625rem;
}

.toolbar-component {
  margin: 0.3rem;
  box-sizing: border-box;
  width: 40%;
  border: 0.1rem thin rgb(0, 0, 0);
  background-color: rgb(225, 238, 225);
  border-radius: 1rem;
}

.toolbar-component:hover {
  background-color: rgb(202, 252, 202);
  cursor: pointer;
}

.each-toolbar-component {
  padding: 0.625rem;
  font-size: 0.625rem;
}

.text-danger {
  color: red;
  font-weight: bold;
  text-align: center;
}

.text-success {
  color: green;
  font-weight: bold;
  text-align: center;
}

@media screen and (max-width: 768px) {
  .toolbar-item-list {
    flex-direction: column;
    flex-wrap: nowrap;
  }

  .toolbar-component {
    width: 90%
  }

  #diagram .component {
    width: 3.125rem;
  }
}

@media screen and (min-width: 769px) and (max-width: 1023px) {
  #diagram .component {
    width: 4.375rem;
  }
}

#output-box {
  overflow: auto;
}

.color-flex-box {
  justify-content: center;
  align-items: center;
}

.color-box {
  margin: auto;
  min-height: 2rem;
  width: 50%;
}

.color-text-box {
  display: block;
  font-size: 1rem;
}
.v-instruction-container {
  border: .2rem solid #97d23d;
  margin-top: 30px;
  justify-content: flex-start;
}